Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 447302 - app-emulation/virtualbox-modules-4.2.4 with gentoo-sources-3.7.0 - Header files were moved and re-organized, causes a build failure.
Summary: app-emulation/virtualbox-modules-4.2.4 with gentoo-sources-3.7.0 - Header fil...
Status: RESOLVED UPSTREAM
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: AMD64 Linux
: Normal major with 1 vote (vote)
Assignee: Lars Wendler (Polynomial-C)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-14 23:35 UTC by G.Wolfe Woodbury
Modified: 2013-10-06 15:26 UTC (History)
7 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge --info output (einfo.txt,14.22 KB, text/plain)
2012-12-14 23:39 UTC, G.Wolfe Woodbury
Details
Build Log for virtualbox-modules-4.1.22 (also broken by new kernel) (build.log,8.53 KB, text/plain)
2012-12-15 20:31 UTC, James
Details
build.log (build.log,5.25 KB, text/plain)
2012-12-24 02:21 UTC, Egor Y. Egorov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description G.Wolfe Woodbury 2012-12-14 23:35:37 UTC
kernel 3.7.0 seems to have moved and re-organized some of the kernel include files
for example: include/asm-generic/types.h is not set up in lib/modules/3.7.0*/build/include/
other include headers are seen to be missing as well.
this may be necessary to kick upstream to oracle.

Reproducible: Always

Steps to Reproduce:
1.install gentoo-sources-3.7.0
2.build, reboot with new kernel, eselect the new kernel
3.emerge virtualbox-modules-4.2.4
Actual Results:  
emerge fails with missing header files late in build

Expected Results:  
should build and install

emerge info attached
ebuild log attached
Comment 1 G.Wolfe Woodbury 2012-12-14 23:39:57 UTC
Created attachment 332336 [details]
emerge --info output

ebuild log was lost
Comment 2 Tom Wijsman (TomWij) (RETIRED) gentoo-dev 2012-12-14 23:45:07 UTC
> ebuild log was lost

You can obtain it by emerging the package again. Can you try again?
Comment 3 James 2012-12-15 20:31:52 UTC
Created attachment 332400 [details]
Build Log for virtualbox-modules-4.1.22 (also broken by new kernel)
Comment 4 James 2012-12-15 20:47:00 UTC
I should add that I don't get any error on virtualbox-modules-4.2.4.
Comment 5 Lars Wendler (Polynomial-C) gentoo-dev 2012-12-23 18:15:04 UTC
Is this still a problem with virtualbox-4.1.24 and/or virtualbox-4.2.6?
Comment 6 Egor Y. Egorov 2012-12-24 02:13:06 UTC
Yes
Comment 7 Egor Y. Egorov 2012-12-24 02:21:34 UTC
Created attachment 333178 [details]
build.log
Comment 8 Egor Y. Egorov 2012-12-24 02:25:43 UTC
This code in file vboxdrv/r0drv/linux/memobj-r0drv-linux.c do not work:

#if    LINUX_VERSION_CODE >= KERNEL_VERSION(3, 7, 0)
                    vma->vm_flags |= VM_DONTEXPAND | VM_DONTDUMP;
#else
                    vma->vm_flags |= VM_RESERVED;
#endif

Replacing VM_RESERVED to VM_DONTEXPAND | VM_DONTDUMP allow build fine.
Comment 10 Lars Wendler (Polynomial-C) gentoo-dev 2013-02-23 19:45:55 UTC
I couldn't reproduce this problem with kernel-3.7.9 and virtualbox-modules-4.2.6. Any chance this got fixed by the kernel developers meanwhile?
Comment 11 Egor Y. Egorov 2013-02-24 04:54:02 UTC
This problem only if the kernel source is pumped out of git. However, this problem is now fixed. Bug may be closed
Comment 13 Thomas Capricelli 2013-03-12 13:29:11 UTC
For those still having this problem: this is because you have a stalled include/linux/version.h in your kernel source tree. Probably because you use your own checkout.

Just remove it, and the problem is gone.
(and I think this bug could be closed now)
Comment 14 Tom Wijsman (TomWij) (RETIRED) gentoo-dev 2013-06-08 12:16:55 UTC
For most arches, the 3.7 sources are no longer available due to security problems and I haven't experienced this with later versions; thus this bug should likely be closed, just let people that experience this again on much more recent versions file a new bug.
Comment 15 Sergey Popov gentoo-dev 2013-06-08 12:19:15 UTC
It seems to be fixed upstream, closing